unit rDBGridSorter_Zeos;

{<
  Sorter for TZAbstractDataSet - used by rDBGrid to sort ZEOS datasets
  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Oct 2006 - Jun 2013)
  @lastmod(Dec 2015)
}

interface

uses
  Windows, Messages, SysUtils, Graphics, Classes, Controls, Menus, Dialogs,
  StdCtrls, Forms, DB, Variants, rDBGrid,
  ZAbstractDataset;

type
  { Sorter for TZAbstractDataSet - used by rDBGrid to sort ZEOS datasets }
  TrDBGridSorter_Zeos = class(TrDBGridCustomSorter)
  public
    function SetSort_CreateIndex(DataSet: TDataSet; const SortString: string; const SortFields: string; const DescendingFields: string): boolean; override;
  end;

procedure Register;

implementation

{$R *.res}
uses RosiCompGlobalCfg;

procedure Register;
begin
  RegisterComponents('Rosi DB', [TrDBGridSorter_Zeos]);
end;

function TrDBGridSorter_Zeos.SetSort_CreateIndex(DataSet: TDataSet; const SortString: string; const SortFields: string; const DescendingFields: string)
  : boolean;
var
  DS: TZAbstractDataSet;
begin
  if (DataSet is TZAbstractDataSet) then
  begin
    DS:=DataSet as TZAbstractDataSet;
    DS.SortedFields:=SortString;
    Result:=true;
  end
  else
    Result:= inherited;
end;

end.
